html {
  height: 100%;
}
body {
  height: 100%;
  margin:0;
  padding:0;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

p {
  margin: 5px 10px 5px 10px;
  font-weight: bold;
}

#zone-commande {
  position: relative;
  display: flex;
  flex-direction: column;
  height: 12%;
  background-color: #CCC952;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 10px;
  border-left-width: 10px;
  border-right-width: 10px;
  border-bottom-width: 5px;
}

#consignes {
  position: relative;
  font-size: 1.8vmin;
  color: black;
  height: 49%;
  padding-left: 5rem;
}

#commandes {
  position: relative;
  text-align: center;
  height: 50%;
}

.bouton {
  box-sizing: border-box;
  background-color: #ededed;
  color: black;
  font-size: 1.8vmin;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  padding-left: 0.4rem;
  padding-right: 0.4rem;
  border: none;
  margin-right: 0.5%;
}

.bouton:hover {
  opacity: 0.6;
  cursor: pointer;
}

.bouton:disabled {
  opacity: 0.6;
  cursor: not-allowed;
}

#zone-action {
  display: flex;
  flex-direction: column;
  height: 88%;
  position: relative;
  width: 100%;
  margin: 0;
  padding: 0;
  background-color: #005384;
  box-sizing: border-box;
  border-color: white;
  border-style: solid;
  border-top-width: 5px;
  border-left-width: 10px;
  border-right-width: 10px;
  border-bottom-width: 10px;
}

#reserve {
  margin-top: 5px;
  margin-bottom: 5px;
  margin-left: auto;
  margin-right: auto;
  width: 98%;
  height: 35%;
  margin-bottom: 1%;
  padding: 1%;
}

#zone-images {
  margin-left: auto;
  margin-right: auto;
  width: 94%;
  height: 96%;
}

#zone-images img {
  max-width: 126px;
  max-height: 97px;
  margin-left: 2px;
  margin-right: 2px;
  border: solid 1px black;
  width: auto;
  height: auto;
}

#conteneur {
  display: flex;
  justify-content: space-around;
  height: 64%;
}

#conteneur img {
  max-width: 126px;
  max-height: 97px;
  margin-left: 2px;
  margin-right: 2px;
  /* height: 33%;
  width: auto; */
  width: 40%;
  height: auto;
  border: solid 1px black;
}

.pile {
  height: 98%;
  width: 30%;
}

.erreur {
  height: 12%;
  position: relative;
  color: red;
  font-weight: bold;
  font-size: 3em;
}

.album {
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-position: center;
  height: 85%;
  width: 100%;
  position: relative;
  display: flex;
  justify-content: flex-end;
  padding: 1.5%;
}

#album1 {
  background-image: url("img/album-jaune.png");
}

#album2 {
  background-image: url("img/album-bleu.png");
}

#album3 {
  background-image: url("img/album-saumon.png");
}

.collection {
  position: relative;
  display: block;
  height: 100%;
  width: 90%;
}

@media screen and (max-width: 1148px) {
  #zone-images img {
    height: 33%;
  }
}

@media screen and (max-width: 970px) and (min-height: 750px) {
  #conteneur img {
    width: 40%;
  }
}

@media screen and (min-width: 750px) and (max-height: 700px)  {
  #conteneur img {
    width: 30%;
  }
}

@media screen and (min-width: 750px) and (max-height: 640px)  {
  #zone-images img {
    height: 48%;
  }
}

@media screen and (min-width: 750px) and (max-height: 480px)  {
  #conteneur img {
    width: 20%;
  }
  .pile {
    height: 90%;
  }
}

@media screen and (min-width: 750px) and (max-height: 380px)  {
  #conteneur img {
    width: 16%;
  }
}

@media screen and (min-width: 750px) and (max-height: 224px)  {
  #conteneur img {
    width: 12%;
  }
}

@media screen and (max-width: 750px) and (max-height: 550px) {
  #conteneur img {
    width: 30%;
  }
}

@media screen and (max-width: 750px) and (max-height: 260px) {
  #conteneur img {
    width: 20%;
  }
}

@media screen and (max-width: 678px) {
  #zone-commande {
    height: 14%;
  }
  #zone-action: 85%;
}

@media screen and (max-width: 678px) and (min-height: 686px) {
  #conteneur img {
    width: 48%;
  }
}

@media screen and (max-width: 678px) and (min-height: 550px) {
  #zone-images img {
    height: 30%;
  }
}

@media screen and (max-width: 678px) and (max-height: 550px) {
  #zone-images img {
    height: 25%;
  }
}

@media screen and (max-width: 582px) and (min-height: 550px) {
  #zone-images img {
    height: 25%;
  }
}

@media screen and (max-width: 550px) {
  #zone-commande {
    height: 13%;
  }
  #consignes {
    font-size: 1.5vh;
  }
  #zone-action {
    height: 86%;
  }
  .bouton {
    font-size: 1.5vh;
    margin-bottom: 1%;
  }
}

@media screen and (max-width: 550px) and (min-height: 550px) {
  #consignes {
    height: 59%;
  }
  #commandes {
    height: 40%;
  }
  #zone-images img {
    height: 25%;
  }
}

@media screen and (max-width: 550px) and (max-height: 550px) {
  #zone-images img {
    height: 20%;
  }
}

@media screen and (max-width: 408px) {
  #zone-commande {
    height: 15%;
  }
  #zone-action {
    height: 84%;
  }
}

@media screen and (max-width: 380px) and (min-height: 550px) {
  #zone-images img {
    height: 20%;
  }
}

@media screen and (max-width: 380px) and (max-height: 640px) {
  #zone-images img {
    height: 25%;
  }
}

@media screen and (max-width: 318px) {
  #zone-commande {
    height: 18%;
  }
  #consignes {
    display: none;
  }
  #zone-action {
    height: 81%;
  }
  #zone-images img {
    height: 20%;
  }
  .bouton {
    font-size: 2vh;
  }
}

@media screen and (max-width: 240px) {
  #zone-images img {
    height: 16%;
  }
}

@media screen and (max-width: 196px) {
  #zone-images img {
    height: 14%;
  }
}

@media screen and (max-width: 176px) {
  #zone-images img {
    height: 12%;
  }
}

@media screen and (max-height: 480px) {
  #consignes {
    display: none;
  }
  .bouton {
    font-size: 2vh;
  }
}
